Subject: RE: draft-ietf-disman-event-mib-v2-01.txt

From: "Chapman, Ken" <[email-masked]>
Date: Mon, 11 Nov 2002 08:36:33 -0500

Hi David,
Unfortunately leaving mteHotValue out is not an option allowed by SNMPv2,
RFC1905 clause 4.2.6.
So we need to fix the MIB before it goes out as a standard.
	Ken

-----Original Message-----
From: David Reid [mailto:[email-masked]]
Sent: Friday, November 08, 2002 1:31 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: draft-ietf-disman-event-mib-v2-01.txt

> Hi,
> We are trying to implement the DISMAN-EVENT-MIB and have come across an
> ambiguous situation (at least I can't find the answer in the ID).
> We are unable to find any text that says a triger for just 'existence' has
a
> SYNTAX restriction.
> If an owner specified an 'existence' triger on an object that has a syntax
> that does not evaluate to a 32 bit interger, what do we send in the for
> mteHotValue in the mteTriggerFired notification?
> Are we missing something?
> Thanks.
>         Ken

In our implementation, we leave mteHotValue out of the notification if
it is not a 32 bit integer. 

I'd be interested in hearing what others have done in this case. 

-David Reid
 SNMP Research, Inc.